import 'babel-polyfill';
import { argv } from 'yargs';
import path from 'path';

import hooks from './../tools/hooks';
import Server from './../src/server';

//  Run hooks before
//  starting application
hooks();

//  Get app config from the script arguments
const { config } = argv;

//  Try to read file
const userConfig = require(path.resolve(process.cwd(), config)).default;

//  Create a new server instance
//  with the user config
const server = new Server(userConfig);
server.create();
